# mediawiki-theme-timeless-gmt

Theme fitting the Mediawiki 'timeless' skin, for use with the [Game Making Tools wiki](https://www.gamemaking.tools/wiki/).

## Installation

- Requires the Mediawiki extension 'Theme': https://www.mediawiki.org/wiki/Extension:Theme <br>
See instructions behind that link (you just put stuff in a folder and add a line to LocalSettings.php).

- Place this stylesheet within your wiki's `extensions/Theme/timeless` directory ('Timeless' is the skin it modifies).
- Within `extensions/Theme` there's a file called `extension.json`. You need to find the `ResourceModules` bit and add the theme there. For example mine looks like this:
```
"ResourceModules": {
	"themeloader.skins.timeless.gmt": {
		"styles": {
			"timeless/gmt.css": {
				"media": "screen"
			}
		}
	}
},
```
- NB: I only have one theme set-up though! Each theme you want to use needs it's own 'module'.

### Extensionless Alternative

If you don't want to use a theme you can add the content of the stylesheet to MediaWiki:Common.css page of your wiki. To edit this page you need to be in the 'interface administrator' group. You can sheck this on the Special:ListUsers page.

The downside of this method is that it will be applied to every skin.

## To-Do

- Nicen mobile version.
- Add dark mode.
